# Uses of Enum Class
com.ocient.jdbc.proto.ClientWireProtocol.PerformanceMode

Packages that use ClientWireProtocol.PerformanceMode
Package
Description
com.ocient.jdbc.proto

## Uses of ClientWireProtocol.PerformanceMode in com.ocient.jdbc.proto

Methods in com.ocient.jdbc.proto that return ClientWireProtocol.PerformanceMode
Modifier and Type
Method
Description
`static ClientWireProtocol.PerformanceMode`
ClientWireProtocol.PerformanceMode.`forNumber(int value)`
`ClientWireProtocol.PerformanceMode`
ClientWireProtocol.ExecuteQuery.Builder.`getPerformanceMode()`
`.xg.cmdcomp.PerformanceMode performanceMode = 4;`
`ClientWireProtocol.PerformanceMode`
ClientWireProtocol.ExecuteQuery.`getPerformanceMode()`
`.xg.cmdcomp.PerformanceMode performanceMode = 4;`
`ClientWireProtocol.PerformanceMode`
ClientWireProtocol.ExecuteQueryOrBuilder.`getPerformanceMode()`
`.xg.cmdcomp.PerformanceMode performanceMode = 4;`
`static ClientWireProtocol.PerformanceMode`
ClientWireProtocol.PerformanceMode.`valueOf(int value)`
Deprecated.
`static ClientWireProtocol.PerformanceMode`
ClientWireProtocol.PerformanceMode.`valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static ClientWireProtocol.PerformanceMode`
ClientWireProtocol.PerformanceMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClientWireProtocol.PerformanceMode[]`
ClientWireProtocol.PerformanceMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.ocient.jdbc.proto that return types with arguments of type ClientWireProtocol.PerformanceMode
Modifier and Type
Method
Description
`static com.google.protobuf.Internal.EnumLiteMap<ClientWireProtocol.PerformanceMode>`
ClientWireProtocol.PerformanceMode.`internalGetValueMap()`
Methods in com.ocient.jdbc.proto with parameters of type ClientWireProtocol.PerformanceMode
Modifier and Type
Method
Description
`ClientWireProtocol.ExecuteQuery.Builder`
ClientWireProtocol.ExecuteQuery.Builder.`setPerformanceMode(ClientWireProtocol.PerformanceMode value)`
`.xg.cmdcomp.PerformanceMode performanceMode = 4;`